summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian Evans <grknight@gentoo.org>2018-04-06 10:23:20 -0400
committerBrian Evans <grknight@gentoo.org>2018-04-06 10:24:08 -0400
commit162efcf0c95e6569be4f631dbbee1a515f9c0b7d (patch)
tree72c405ab0abadbbd01429e01fcbb16aee3e7a288 /dev-php/pecl-redis
parentapp-admin/filebeat: amd64 stable (diff)
downloadgentoo-162efcf0c95e6569be4f631dbbee1a515f9c0b7d.tar.gz
gentoo-162efcf0c95e6569be4f631dbbee1a515f9c0b7d.tar.bz2
gentoo-162efcf0c95e6569be4f631dbbee1a515f9c0b7d.zip
dev-php/pecl-redis: Version bump to 4.0.0
Package-Manager: Portage-2.3.28, Repoman-2.3.9
Diffstat (limited to 'dev-php/pecl-redis')
-rw-r--r--dev-php/pecl-redis/Manifest1
-rw-r--r--dev-php/pecl-redis/pecl-redis-4.0.0.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/dev-php/pecl-redis/Manifest b/dev-php/pecl-redis/Manifest
index 192c5fd27a8..1a3933a3f84 100644
--- a/dev-php/pecl-redis/Manifest
+++ b/dev-php/pecl-redis/Manifest
@@ -1,2 +1,3 @@
DIST redis-3.1.2.tgz 199041 BLAKE2B a90f4136dae03155d7e3fc4e5b6b32ab73c918a850c501a19e28ea62c6d105108ebd18edaa3b12a13cf38103302ee6ad0759a47b4c59e4a5464e951f02cff0ea SHA512 14b6321072f8ab41b8293b40ea8e1e2bdac1bb694c4566467ea4e6ced37c8fc41bf5712bd27cebf509f25fda0492765cd2c8d2fe61395bcb0b0d9cbbceebe684
DIST redis-3.1.6.tgz 199920 BLAKE2B 00aa81cdbedc03b4a672a58be98d8f01d2076038622b9d1e9673c0628c096152f12f9f5ff540af639da73b4458fcb1fce9c1c8b49a95db48970bab07806ac8d0 SHA512 4263d150c93f11dd06587925ad9a3cd8fbba2e4a18b2f23e6adfaeb25d566a1c2d256551a50ae1b9c770fd0f9bc4c92f483c46d60be9d4f5b5ba056231b7d527
+DIST redis-4.0.0.tgz 212340 BLAKE2B 996138b3dd92e839fbebaf5d562cfbe90e66384233c83612c8726fa41f10c106d0195c87449fc7886b3e832fd551b962ef50c161372c04c899c9fe7fd1140101 SHA512 e4bf2294f696e468174c0fff9ed33831cf81c3548ce30ede01bc3c45a15cb87b9b9ea02899c451f63211be8cb37e953be138e93c16d9e0f12772b7b6d03e8dcd
diff --git a/dev-php/pecl-redis/pecl-redis-4.0.0.ebuild b/dev-php/pecl-redis/pecl-redis-4.0.0.ebuild
new file mode 100644
index 00000000000..af4fb3636c0
--- /dev/null
+++ b/dev-php/pecl-redis/pecl-redis-4.0.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PHP_EXT_NAME="redis"
+USE_PHP="php5-6 php7-0 php7-1 php7-2"
+DOCS=( arrays.markdown cluster.markdown README.markdown CREDITS )
+MY_P="${PN/pecl-/}-${PV/_rc/RC}"
+PHP_EXT_PECL_FILENAME="${MY_P}.tgz"
+PHP_EXT_S="${WORKDIR}/${MY_P}"
+
+inherit php-ext-pecl-r3
+
+DESCRIPTION="PHP extension for interfacing with Redis"
+LICENSE="PHP-3.01"
+SLOT="0"
+KEYWORDS="~amd64 ~arm"
+IUSE="igbinary +session"
+
+DEPEND="igbinary? (
+ php_targets_php5-6? ( dev-php/igbinary[php_targets_php5-6] )
+ php_targets_php7-0? ( dev-php/igbinary[php_targets_php7-0] )
+ php_targets_php7-1? ( dev-php/igbinary[php_targets_php7-1] )
+ php_targets_php7-2? ( dev-php/igbinary[php_targets_php7-2] ) ) "
+RDEPEND="${DEPEND} !dev-php/pecl-redis:7"
+
+# The test suite requires network access.
+RESTRICT=test
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+ local PHP_EXT_ECONF_ARGS=(
+ --enable-redis
+ $(use_enable igbinary redis-igbinary)
+ $(use_enable session redis-session)
+ )
+ php-ext-source-r3_src_configure
+}
+
+src_test(){
+ local slot
+ for slot in $(php_get_slots); do
+ php_init_slot_env "${slot}"
+ # Run tests for Redis class
+ ${PHPCLI} -d extension=modules/redis.so \
+ tests/TestRedis.php \
+ --class Redis \
+ --host ${PECL_REDIS_HOST} || die 'test suite failed'
+ done
+}
+
+pkg_postinst() {
+ elog "This version comes with breaking API changes."
+ elog "Be sure to verify any applications upon upgrading."
+}